
.adventCalendar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100vh;
  width: 100vw;
  position: relative;
  background-color: var(--red);
  background-image: url("../public/img/christmas_image.png");
  background-repeat: no-repeat;
  background-position: bottom right;
  background-size: 200px;
}
.adventCalendar__titleBox {
  background: var(--linear-gradient);
  align-self: flex-start;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 10px 40px;
  border-bottom-right-radius: 50px;
  min-height: 150px;
  max-width: 70%;
}
.adventCalendar__title {
  font-size: 25px;
  font-weight: 700;
  min-width: max-content;
}

.adventCalendar__dates {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.adventCalendar__dates p {
  margin-bottom: 10px;
}
.adventCalendar__dateCases {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  position: relative;
}
.adventCalendar__dateCase, .adventCalendar__dateLetters {
  background-color: var(--green-darker);
  font-size: 50px;
  padding: 20px;
  border-radius: 5px;
  margin-right: 10px;
}
.adventCalendar__dateLetters {
  font-weight: 100;
}

.adventCalendar__nameBox {
  background: var(--linear-gradient);
  align-self: flex-end;
  padding: 20px 70px;
  font-size: 25px;
  border-top-left-radius: 50px;
  color: var(--gold);
  font-weight: 800;
}

.adventCalendar__swag {
  position: absolute;
  bottom: 0%;
  left: 50%;
  transform: translate(-50%, 50%);
}

@media screen and (max-width: 740px) {
  .adventCalendar__dateCase, .adventCalendar__dateLetters {
    font-size: 25px; 
    margin-right: 5px;
    padding: 10px;
  }
  .adventCalendar__swag {
    width: 200px;
  }
}